Toggle Default
curl --request PATCH \
--url https://api.example.com/api/v1/brand-kits/{kit_id}/default \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brand-kits/{kit_id}/default"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brand-kits/{kit_id}/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_type": "<string>",
"name": "<string>",
"brand_voice": "<string>",
"tone_keywords": [
"<string>"
],
"target_audience": "<string>",
"language_preference": "<string>",
"avoid_phrases": [
"<string>"
],
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logo_url": "<string>",
"logo_icon_url": "<string>",
"logo_dark_url": "<string>",
"logo_square_url": "<string>",
"logo_wordmark": "<string>",
"logo_wordmark_font": "<string>",
"primary_color": "<string>",
"secondary_color": "<string>",
"accent_color": "<string>",
"color_palette": [
"<string>"
],
"font_headings": "<string>",
"font_body": "<string>",
"imagery_style": "<string>",
"brand_guidelines_url": "<string>",
"tagline": "<string>",
"mission_statement": "<string>",
"industry": "<string>",
"competitors": [
"<string>"
],
"seo_keywords": [
"<string>"
],
"content_pillars": [
"<string>"
],
"social_links": {},
"social_profiles": {},
"location": "<string>",
"website_url": "<string>",
"slides_template_r2_key": "<string>",
"slides_template_filename": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Kits
Toggle Default
Toggle the is_default flag on a brand kit.
When setting a kit as default, clears default from other kits of the same type.
PATCH
/
api
/
v1
/
brand-kits
/
{kit_id}
/
default
Toggle Default
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Was this page helpful?